Bug 206489 - java/intellij: Update to 15.0.3
Summary: java/intellij: Update to 15.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://github.com/traff/pty4j/pull/27
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-01-22 11:37 UTC by Tobias Kortkamp
Modified: 2016-02-11 20:01 UTC (History)
1 user (show)

See Also:
tobik: maintainer-feedback+


Attachments
intellij.diff (5.99 KB, patch)
2016-01-22 11:37 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
Poudriere testport log FreeBSD 10.2/amd64 (18.75 KB, text/x-log)
2016-01-22 11:38 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 10.2/i386 (19.07 KB, text/x-log)
2016-01-22 11:38 UTC, Tobias Kortkamp
no flags Details
intellij.diff (6.95 KB, patch)
2016-02-10 16:54 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
Poudriere testport log FreeBSD 9.3/amd64 (18.70 KB, text/x-log)
2016-02-10 16:54 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-01-22 11:37:49 UTC
Created attachment 165946 [details]
intellij.diff

Besides updating to 15.0.3 this update also adds the ability to open terminals in IntelliJ which I'm quite happy about :-).  I have upstreamed the necessary changes to pty4j which IntelliJ uses to open terminals etc.  There's no official pty4j release with FreeBSD support yet, but there is also not much point in waiting until there is.
Comment 1 Tobias Kortkamp freebsd_committer 2016-01-22 11:38:33 UTC
Created attachment 165947 [details]
Poudriere testport log FreeBSD 10.2/amd64
Comment 2 Tobias Kortkamp freebsd_committer 2016-01-22 11:38:56 UTC
Created attachment 165948 [details]
Poudriere testport log FreeBSD 10.2/i386
Comment 3 Tobias Kortkamp freebsd_committer 2016-02-10 16:54:17 UTC
Created attachment 166841 [details]
intellij.diff

Updated port:
- make it clearer that this the community edition
- disable missing file watcher warning on startup
- install to ${PREFIX}/${PORTNAME} instead of to ${PREFIX}/lib/intellij

If possible I would like to rename the port to java/intellij-idea-ce.
Comment 4 Tobias Kortkamp freebsd_committer 2016-02-10 16:54:52 UTC
Created attachment 166842 [details]
Poudriere testport log FreeBSD 9.3/amd64
Comment 5 Kurt Jaeger freebsd_committer 2016-02-11 18:07:43 UTC
Testbuilds@work
Comment 6 Kurt Jaeger freebsd_committer 2016-02-11 19:17:46 UTC
Testbuilds are all fine.
Comment 7 commit-hook freebsd_committer 2016-02-11 19:22:43 UTC
A commit references this bug:

Author: pi
Date: Thu Feb 11 19:22:03 UTC 2016
New revision: 408694
URL: https://svnweb.freebsd.org/changeset/ports/408694

Log:
  java/intellij: 15.0.1 -> 15.0.3

  - make it clearer that this the community edition
  - disable missing file watcher warning on startup
  - install to ${PREFIX}/${PORTNAME} instead of to ${PREFIX}/lib/intellij
  - adds the ability to open terminals in IntelliJ

  PR:		206489
  Submitted by:	Tobias Kortkamp <t@tobik.me> (maintainer)

Changes:
  head/java/intellij/Makefile
  head/java/intellij/distinfo
  head/java/intellij/files/idea.desktop.in
  head/java/intellij/pkg-descr
  head/java/intellij/pkg-plist
Comment 8 Kurt Jaeger freebsd_committer 2016-02-11 19:27:55 UTC
Committed, thanks! If you can provide changelog-links for updates like this, that would be nice!
Comment 9 Tobias Kortkamp freebsd_committer 2016-02-11 20:01:34 UTC
Added URL to pull request re Pty4J for completeness sake.